Interface OrgResource
- All Superinterfaces:
com.iland.cohesity.iaas.backups.backupgroups.BackupGroupV2PlatformOrgApi,com.iland.cohesity.iaas.backups.protectionsources.ProtectionSourcePlatformOrgApi
- Author:
- Cory Snyder
-
Method Summary
Modifier and TypeMethodDescriptionaddDNSRecord(String orgUuid, DNSRecordCreateRequest record) Add a new DNS record for the given organization.addDNSZone(String orgUuid, DNSZoneCreateRequest zoneSpec) Add a new managed DNS zone for the given organization.com.iland.core.web.rest.response.task.TaskResponsebatchFailover(String orgUuid, BatchFailoverParamsRequest params) Initiates a batch live failover on one or more VPGs withing an org.com.iland.core.web.rest.response.task.TaskResponsebatchFailoverTest(String orgUuid, BatchFailoverTestParamsRequest params) Batch test failover for one or more VPGs within an org.checkDNSZone(String orgUuid, int zoneId) Check a managed DNS Zone for Validity and report errors.createBackupPolicy(String orgUuid, BackupPolicyUpdateRequest creationRequest) Create a new org-scoped backup policy.com.iland.core.web.rest.response.task.TaskResponsecreateCatalog(String orgUuid, CatalogCreateRequest request) Create a catalog in the organization.createRecoveryRunbook(String orgUuid, DisasterRecoveryRunbookCreateRequest spec) Add a runbook to the given organizations runbooks.voiddeleteBackupPolicy(String orgUuid, String backupPolicyUid) Delete a backup policy.voiddeleteDNSRecord(String orgUuid, int recordId) Delete a DNS record for the given organization.voiddeleteDNSZone(String orgUuid, int zoneId) Delete a DNS zone for the given organization and zone ID.getAvailableIPsForPTRRecords(String orgUuid) Get the set of IP addresses that are not mapped to PTR DNS records yet.getBackupGroupSummaryStats(String orgUuid, GetBackupGroupSummaryStatsFilters filters) Gets backup group summary stats for the Org.getBackupPolicy(String orgUuid, String backupPolicyUid) Get details of an individual org-scoped backup policy.getBackupStatus(String orgUuid) Gets the org's backup status.getBandwidthUsageSummary(String orgUuid, Integer month, Integer year) Returns the summary of bandwidth usage, and current reservation for the given month and year.getBilling(String orgUuid, Integer year, Integer month) Returns Org Billing for a given invoice period.getBillingCurrencyCode(String orgUuid) Returns Org Billing Currency Code.getCatalogsForOrg(String orgUuid) Get catalogs associated with the given organization.getCurrentBillingByVdc(String orgUuid) Get current org billing broken down by Vdc.getDNSRecords(String orgUuid) Get the DNS records associated with the given organization.getDNSZones(String orgUuid) Get the managed DNS zones associated with the given organization.getEdgeNetworkUsageOverTime(String orgUuid, String type, Long start, Long end) Gets usage data for a VCD edge gateway.getEdgeNetworkUsageSummary(String orgUuid, String type, Long start, Long end) Gets a vCD edge gateway usage summary, summarizing the total bandwidth used for both inbound and outbound edge network traffic.getEdgesForOrg(String orgUuid) Get the vcd edges for the organization.getExpiredItems(String orgUuid) Get the expired vapp and vapp templates for the given org.getExternalNetworkSummaryFor(String orgUuid, String type, Long start, Long end) Get external network usage summary for the given organization and type.getExternalNetworkUsageFor(String orgUuid, String type, Long start, Long end) Get external network usage for the given organization and type.getHistoricalBilling(String orgUuid, Long start, Long end) Get historical org billing.getHistoricalBillingByVdc(String orgUuid, Integer startYear, Integer startMonth, Integer endYear, Integer endMonth) Get a list of vDC bills for a given org between the given date ranges.getIntegratedBackupStatus(String orgUuid) Gets the Org's integrated backup status.Get medias for a given Org.getNetSummaryFor(String orgUuid, String type, Long start, Long end) Get network usage summary for the given organization and type.getNetUsageFor(String orgUuid, String type, Long start, Long end) Get network usage for the given organization and type.getNetworkScanOptOutPreferences(String orgUuid) Get the network scan opt out details for the given org.getNetworkScanResult(String orgUuid, String scanResultUuid) Get the scan details for a given organization and a scan UUID.getNetworkScanResultsForTemplate(String orgUuid, int scanTemplateId, Integer offset, Integer limit) Get a list of all scans with given ID that are in a given organization.getNetworkScanTemplates(String orgUuid, Integer offset, Integer limit) Get a list of all scans for a given organization.Get an organization given its uuid.getOrgPublicIpAssignments(String orgUuid) Gets the public IP assignments for the organization.getOrgPublicIps(String orgUuid) Gets the public IPs for the organization.getOrgVdcNetworksForOrg(String orgUuid) Get the org vdc networks for the organization.Get the list of performance counters that can be used to query for VPGs usage data for this org.getRecoveryRunbooks(String orgUuid) Get the list of recovery runbooks for a given organization.getVappNetworksForOrg(String orgUuid) Get the vapp networks for the organization.getVappsForOrg(String orgUuid) Get the vApps for the organization.getVappTemplatesForOrg(String orgUuid) Get vapp templates for a given organization.getVccFailoverPlans(String orgUuid) Returns the list of VCC-R failover plans for a given target vCloud Organization.getVccReplicationStorage(String orgUuid) Returns the vcc replication storage used by all the vdcs in the orggetVdcCostOverInvoicePeriodSeries(String orgUuid, Integer year, Integer month, List<String> additionalFields) Get a list of series detailing the hourly cost over an invoice period for all vDCs in a given Organization.getVdcsForOrg(String orgUuid) Get the virtual data centers (VDCs) for the given organization.getVmsForOrg(String orgUuid) Get the VMs for the organization.Returns aggregated samples for VPGs in an org given a performance serie and time range.getVpgsForOrg(String orgUuid, List<VpgSubEntityRequest> expand) Returns the list of VPGs for a given target vCloud Organization.getVpgsProtectionSummary(String orgUuid) Returns a VPGs protection info.hasAnyLegacyBilling(String orgUuid) Has the org had any legacy bills ever?isComplianceOrg(String orgUuid) Return whether an org is a compliance organization.launchCodaScan(String orgUuid) Launch a CODA scan given an organization uuid.launchNetworkScan(String orgUuid, int scanTemplateId) Launch a network scan given an organization uuid and a scan id.listBackupGroups(String orgUuid, boolean includeDeleted, boolean includeSummaryStats, boolean includeLastRun, boolean includeBackupPolicy) List the existing backup groups that are configured in a specified organization.listBackupPolicies(String orgUuid, boolean includeVdcScopedPolicies) List the existing backup policies that are configured in an organization.com.iland.cohesity.iaas.backups.common.model.ListResponse<com.iland.cohesity.iaas.backups.protectionsources.OracleProtectionSourceModel>listOracleProtectionSourcesForOrg(com.iland.cohesity.iaas.backups.common.model.OrgUuid orgUuid) Get the Oracle protection sources for the given org.com.iland.cohesity.iaas.backups.common.model.ListResponse<com.iland.cohesity.iaas.backups.protectionsources.PublicProtectionSource>listProtectionSourcesForOrg(com.iland.cohesity.iaas.backups.common.model.OrgUuid orgUuid, String hostType, String environment) Get the protection sources for the given org.com.iland.cohesity.iaas.backups.common.model.ListResponse<com.iland.cohesity.iaas.backups.protectionsources.SqlProtectionSourceModel>listSqlProtectionSourcesForOrg(com.iland.cohesity.iaas.backups.common.model.OrgUuid orgUuid) Get the SQL protection sources for the given org.com.iland.cohesity.iaas.backups.common.model.ListResponse<com.iland.cohesity.iaas.backups.backupgroups.api.modelx.BackupGroupV2>listV2BackupGroups(com.iland.cohesity.iaas.backups.common.model.OrgUuid orgUuid, boolean includeDeleted, boolean includeSummaryStats, boolean includeLastRun, boolean includeBackupPolicy, boolean includeLegacyVMware) List the existing backup groups that are configured in a specified organization.voidpauseNetworkScan(String orgUuid, int scanTemplateId) Pause a network scan given an organization uuid and a scan id.voidresumeNetworkScan(String orgUuid, int scanTemplateId) Resume a network scan given an organization uuid and a scan id.voidstopNetworkScan(String orgUuid, int scanTemplateId) Stop a network scan given an organization uuid and a scan id.updateBackupPolicy(String orgUuid, String backupPolicyUid, BackupPolicyUpdateRequest updateRequest) Update a backup policy.updateDNSRecord(String orgUuid, int recordId, DNSRecordUpdateRequest record) Update a DNS record for the given organization.updateNetworkScanOptOutPreferences(String orgUuid, NetworkScanOptOutCreateRequest request) Update a set of ip addresses or ranges to opt out of weekly network scans for a given org.updateNetworkScanTemplate(String orgUuid, int scanTemplateId, NetworkScanUpdateRequest spec) Update a scan given an organization and the scan ID.updateOrgVappLeaseSettings(String orgUuid, OrgVappLeaseUpdateRequest spec) Update the org / vapp lease settings section for a given org.Update the org / vapp template lease settings section for a given org.
-
Method Details
-
getOrg
Get an organization given its uuid.- Parameters:
orgUuid- org uuid- Returns:
- organization
-
getVdcsForOrg
Get the virtual data centers (VDCs) for the given organization.- Parameters:
orgUuid- org uuid- Returns:
- a list of virtual data centers
-
getVappsForOrg
@GET @Path("/{orgUuid}/vapps") VappListResponse getVappsForOrg(@PathParam("orgUuid") String orgUuid) Get the vApps for the organization.- Parameters:
orgUuid- org uuid- Returns:
- a list of virtual applications
-
getVmsForOrg
Get the VMs for the organization.- Parameters:
orgUuid- org uuid- Returns:
- a list of virtual machines
-
getOrgVdcNetworksForOrg
@GET @Path("/{orgUuid}/org-vdc-networks") OrgVdcNetworkListResponse getOrgVdcNetworksForOrg(@PathParam("orgUuid") String orgUuid) Get the org vdc networks for the organization.- Parameters:
orgUuid- org uuid- Returns:
- a list of org vdc networks
-
getEdgesForOrg
@GET @Path("/{orgUuid}/edges") EdgeListResponse getEdgesForOrg(@PathParam("orgUuid") String orgUuid) Get the vcd edges for the organization.- Parameters:
orgUuid- org uuid- Returns:
- a list of vcd edges
-
getVappNetworksForOrg
@GET @Path("/{orgUuid}/vapp-networks") VappNetworkListResponse getVappNetworksForOrg(@PathParam("orgUuid") String orgUuid) Get the vapp networks for the organization.- Parameters:
orgUuid- org uuid- Returns:
- a list of vapp networks
-
getAvailableIPsForPTRRecords
@GET @Path("/{orgUuid}/unmapped-dns-ptr-ip-addresses") IPAddressSetResponse getAvailableIPsForPTRRecords(@PathParam("orgUuid") String orgUuid) Get the set of IP addresses that are not mapped to PTR DNS records yet.- Parameters:
orgUuid- org uuid- Returns:
- set of IP addresses that have no PTR record mapping
-
getDNSRecords
@GET @Path("/{orgUuid}/dns-records") DNSRecordListResponse getDNSRecords(@PathParam("orgUuid") String orgUuid) Get the DNS records associated with the given organization.- Parameters:
orgUuid- org uuid- Returns:
- list of DNS records for the organization
-
addDNSRecord
@POST @Path("/{orgUuid}/dns-records") @Consumes("application/json") DNSRecordResponse addDNSRecord(@PathParam("orgUuid") String orgUuid, DNSRecordCreateRequest record) Add a new DNS record for the given organization.- Parameters:
orgUuid- org uuidrecord- dns record- Returns:
- new DNS record
-
getDNSZones
@GET @Path("/{orgUuid}/dns-zones") OrgDNSZoneListResponse getDNSZones(@PathParam("orgUuid") String orgUuid) Get the managed DNS zones associated with the given organization.- Parameters:
orgUuid- org uuid- Returns:
- list of managed DNS zones for the organization
-
addDNSZone
@POST @Path("/{orgUuid}/dns-zones") @Consumes("application/json") DNSZoneResponse addDNSZone(@PathParam("orgUuid") String orgUuid, DNSZoneCreateRequest zoneSpec) Add a new managed DNS zone for the given organization.- Parameters:
orgUuid- org uuidzoneSpec- dns zone spec- Returns:
- new DNS zone
-
checkDNSZone
@GET @Path("/{orgUuid}/dns-zones/{zoneId}/is-valid") CheckDNSZoneResponse checkDNSZone(@PathParam("orgUuid") String orgUuid, @PathParam("zoneId") int zoneId) Check a managed DNS Zone for Validity and report errors.- Parameters:
orgUuid- org uuidzoneId- zoneId- Returns:
- dns zone check result
-
deleteDNSZone
@DELETE @Path("/{orgUuid}/dns-zones/{zoneId}") void deleteDNSZone(@PathParam("orgUuid") String orgUuid, @PathParam("zoneId") int zoneId) Delete a DNS zone for the given organization and zone ID.- Parameters:
orgUuid- org uuidzoneId- dns zone id
-
updateDNSRecord
@PUT @Path("/{orgUuid}/dns-records/{recordId}") @Consumes("application/json") DNSRecordResponse updateDNSRecord(@PathParam("orgUuid") String orgUuid, @PathParam("recordId") int recordId, DNSRecordUpdateRequest record) Update a DNS record for the given organization.- Parameters:
orgUuid- org uuidrecordId- the DNS record IDrecord- dns record- Returns:
- updated DNS record
-
deleteDNSRecord
@DELETE @Path("/{orgUuid}/dns-records/{recordId}") void deleteDNSRecord(@PathParam("orgUuid") String orgUuid, @PathParam("recordId") int recordId) Delete a DNS record for the given organization.- Parameters:
orgUuid- org uuidrecordId- dns record id to delete
-
getCatalogsForOrg
@GET @Path("/{orgUuid}/catalogs") CatalogListResponse getCatalogsForOrg(@PathParam("orgUuid") String orgUuid) Get catalogs associated with the given organization.- Parameters:
orgUuid- org uuid- Returns:
- list of catalogs for the organization
-
getVappTemplatesForOrg
@GET @Path("/{orgUuid}/vapp-templates") VappTemplateListResponse getVappTemplatesForOrg(@PathParam("orgUuid") String orgUuid) Get vapp templates for a given organization.- Parameters:
orgUuid- org uuid- Returns:
- list of vapp templates for the given organization
-
hasAnyLegacyBilling
@GET @Path("/{orgUuid}/legacy-billing-info") BillingLegacyResponse hasAnyLegacyBilling(@PathParam("orgUuid") String orgUuid) Has the org had any legacy bills ever?- Parameters:
orgUuid- iland platform org uuid- Returns:
- a
BillingLegacyResponseinstance
-
getBilling
@GET @Path("/{orgUuid}/billing") BillResponse getBilling(@PathParam("orgUuid") String orgUuid, @QueryParam("year") Integer year, @QueryParam("month") Integer month) Returns Org Billing for a given invoice period.If month and year are not explicitly supplied the current invoice period is used.
- Parameters:
orgUuid- org uuidyear- the invoice period year (defaults to current year)month- the invoice period month (defaults to the current month) must be in range 1-12- Returns:
- billing for the organization and given invoice period
-
getCurrentBillingByVdc
@GET @Path("/{orgUuid}/billing-by-vdc") OrgBillingByVdcResponse getCurrentBillingByVdc(@PathParam("orgUuid") String orgUuid) Get current org billing broken down by Vdc.- Parameters:
orgUuid- org uuid- Returns:
- current billing for the organization broken down by VDC
-
getHistoricalBilling
@GET @Path("/{orgUuid}/historical-billing") BillListResponse getHistoricalBilling(@PathParam("orgUuid") String orgUuid, @QueryParam("start") Long start, @QueryParam("end") Long end) Get historical org billing.- Parameters:
orgUuid- org uuidstart- startend- end- Returns:
- list of historical bills for the organization between the given dates
-
updateOrgVappLeaseSettings
@POST @Path("/{orgUuid}/actions/update-vapp-lease-settings") @Consumes("application/json") OrgResponse updateOrgVappLeaseSettings(@PathParam("orgUuid") String orgUuid, OrgVappLeaseUpdateRequest spec) Update the org / vapp lease settings section for a given org.- Parameters:
orgUuid- org uuidspec- specification for updating org vapp lease settings- Returns:
- organization
-
updateOrgVappTemplateLeaseSettings
@POST @Path("/{orgUuid}/actions/update-vapp-template-lease-settings") @Consumes("application/json") OrgResponse updateOrgVappTemplateLeaseSettings(@PathParam("orgUuid") String orgUuid, OrgVappTemplateLeaseUpdateRequest spec) Update the org / vapp template lease settings section for a given org.- Parameters:
orgUuid- org uuidspec- specification for updating org vapp template lease settings- Returns:
- organization
-
getMedias
Get medias for a given Org.- Parameters:
orgUuid- org uuid- Returns:
- list of medias for the given organization
-
isComplianceOrg
@GET @Path("/{orgUuid}/is-compliance-org") IsComplianceOrgResponse isComplianceOrg(@PathParam("orgUuid") String orgUuid) Return whether an org is a compliance organization.- Parameters:
orgUuid- organization uuid- Returns:
- whether the org is a compliance org
-
createCatalog
@POST @Path("/{orgUuid}/catalog") @Consumes("application/json") com.iland.core.web.rest.response.task.TaskResponse createCatalog(@PathParam("orgUuid") String orgUuid, CatalogCreateRequest request) Create a catalog in the organization.- Parameters:
orgUuid- organization uuidrequest- request for new catalog- Returns:
- core task
-
getBillingCurrencyCode
@GET @Path("/{orgUuid}/billing-currency-code") CurrencyCodeResponse getBillingCurrencyCode(@PathParam("orgUuid") String orgUuid) Returns Org Billing Currency Code.- Parameters:
orgUuid- org uuid- Returns:
- org currency code
-
getOrgPublicIpAssignments
@GET @Path("/{orgUuid}/public-ip-assignments") @Consumes("application/json") PublicIpAssignmentListResponse getOrgPublicIpAssignments(@PathParam("orgUuid") String orgUuid) Gets the public IP assignments for the organization.- Parameters:
orgUuid- org uuid- Returns:
- public IP assignments
-
getOrgPublicIps
@GET @Path("/{orgUuid}/public-ips") @Consumes("application/json") IPAddressSetResponse getOrgPublicIps(@PathParam("orgUuid") String orgUuid) Gets the public IPs for the organization.- Parameters:
orgUuid- org uuid- Returns:
- public IPs
-
getVpgsForOrg
@GET @Path("/{orgUuid}/vpgs") ExpandedVpgListResponse getVpgsForOrg(@PathParam("orgUuid") String orgUuid, @QueryParam("expand") List<VpgSubEntityRequest> expand) Returns the list of VPGs for a given target vCloud Organization.- Parameters:
orgUuid- org uuid- Returns:
- list of zerto vpgs
-
getVpgsProtectionSummary
@GET @Path("/{orgUuid}/vpgs-protection-info") VpgsProtectionInfoResponse getVpgsProtectionSummary(@PathParam("orgUuid") String orgUuid) Returns a VPGs protection info.- Parameters:
orgUuid- org uuid- Returns:
- a
VpgsProtectionInfoResponsethe VPGs protection info
-
getVccFailoverPlans
@GET @Path("/{orgUuid}/vcc-failover-plans") VccFailoverPlanListResponse getVccFailoverPlans(@PathParam("orgUuid") String orgUuid) Returns the list of VCC-R failover plans for a given target vCloud Organization.- Parameters:
orgUuid- org uuid- Returns:
- list of VCC-R failover Plans
-
getVccReplicationStorage
@GET @Path("/{orgUuid}/vcc-replication-storage") VccReplicationUsageResponse getVccReplicationStorage(@PathParam("orgUuid") String orgUuid) Returns the vcc replication storage used by all the vdcs in the org- Parameters:
orgUuid- org uuid- Returns:
VccReplicationUsageResponseVCC-R storage response
-
batchFailoverTest
@POST @Path("/{orgUuid}/actions/vpg-batch-failover-test") @Consumes("application/json") com.iland.core.web.rest.response.task.TaskResponse batchFailoverTest(@PathParam("orgUuid") String orgUuid, BatchFailoverTestParamsRequest params) Batch test failover for one or more VPGs within an org.- Parameters:
params- the batch failover test parametersorgUuid- the uuid of the organization that the vpgs belong to- Returns:
- asynchronous task details
-
batchFailover
@POST @Path("/{orgUuid}/actions/vpg-batch-failover") @Consumes("application/json") com.iland.core.web.rest.response.task.TaskResponse batchFailover(@PathParam("orgUuid") String orgUuid, BatchFailoverParamsRequest params) Initiates a batch live failover on one or more VPGs withing an org.- Parameters:
params- the batch failover parametersorgUuid- the uuid of the organization that the vpgs belong to- Returns:
- asynchronous task details
-
getExpiredItems
@GET @Path("/{orgUuid}/expired-items") OrgExpiredItemsResponse getExpiredItems(@PathParam("orgUuid") String orgUuid) Get the expired vapp and vapp templates for the given org.- Parameters:
orgUuid- org uuid- Returns:
- expired items, vapps and vapp templates
-
getBandwidthUsageSummary
@GET @Path("/{orgUuid}/bandwidth-usage-summary") BandwidthUsageSummaryResponse getBandwidthUsageSummary(@PathParam("orgUuid") String orgUuid, @QueryParam("month") Integer month, @QueryParam("year") Integer year) Returns the summary of bandwidth usage, and current reservation for the given month and year. If no month / year values are provided, the current month will be defaulted to. If you provide the month or year query parameters you must provide both of them to receive a valid response.All bandwidth units are GB.
- Parameters:
orgUuid- the UUID of the organization for which bandwidth summary is returnedmonth- the month to return bandwidth summary for. The valid values for the month query parameter are 1-12.year- the year to return bandwidth summary for- Returns:
- the monthly bandwidth summary
-
getVdcCostOverInvoicePeriodSeries
@GET @Path("/{orgUuid}/vdcs-cost-over-invoice-period") BillingSampleSerieListResponse getVdcCostOverInvoicePeriodSeries(@PathParam("orgUuid") String orgUuid, @QueryParam("year") Integer year, @QueryParam("month") Integer month, @QueryParam("additionalFields") List<String> additionalFields) Get a list of series detailing the hourly cost over an invoice period for all vDCs in a given Organization.- Parameters:
orgUuid- the UUID of the organizationyear- the yearmonth- the month in range 1-12additionalFields- additional bill fields that should be included in the series- Returns:
- a list of series of samples detailing hourly vDC total cost by hour for the invoice period
-
getHistoricalBillingByVdc
@GET @Path("/{orgUuid}/historical-billing-by-vdc") OrgVdcBillsListResponse getHistoricalBillingByVdc(@PathParam("orgUuid") String orgUuid, @QueryParam("startYear") Integer startYear, @QueryParam("startMonth") Integer startMonth, @QueryParam("endYear") Integer endYear, @QueryParam("endMonth") Integer endMonth) Get a list of vDC bills for a given org between the given date ranges.- Parameters:
orgUuid- the UUID of the organizationstartYear- the start yearstartMonth- the start month (must be in range of 1-12)endYear- the end yearendMonth- the end month (must be in range of 1-12)- Returns:
- list of vDC bills per invoice period for the given org
-
getExternalNetworkUsageFor
@GET @Path("/{orgUuid}/external-network-usage") NetworkPerfSampleSerieListResponse getExternalNetworkUsageFor(@PathParam("orgUuid") String orgUuid, @QueryParam("type") String type, @QueryParam("start") Long start, @QueryParam("end") Long end) Get external network usage for the given organization and type.- Parameters:
orgUuid- org uuidtype- typestart- start dateend- end date- Returns:
- performance samples for external network, given counter, and date range
-
getExternalNetworkSummaryFor
@GET @Path("/{orgUuid}/external-network-summation") NetworkPerfSampleSerieListResponse getExternalNetworkSummaryFor(@PathParam("orgUuid") String orgUuid, @QueryParam("type") String type, @QueryParam("start") Long start, @QueryParam("end") Long end) Get external network usage summary for the given organization and type.- Parameters:
orgUuid- org uuidtype- typestart- start dateend- end date- Returns:
- performance samples for external network, given counter, and date range
-
getNetUsageFor
@GET @Path("/{orgUuid}/bandwidth-usage") NetworkPerfSampleSerieListResponse getNetUsageFor(@PathParam("orgUuid") String orgUuid, @QueryParam("type") String type, @QueryParam("start") Long start, @QueryParam("end") Long end) Get network usage for the given organization and type.- Parameters:
orgUuid- org uuidtype- typestart- start dateend- end date- Returns:
- list of network performance samples for the network
-
getNetSummaryFor
@GET @Path("/{orgUuid}/bandwidth-summation") NetworkPerfSampleSerieListResponse getNetSummaryFor(@PathParam("orgUuid") String orgUuid, @QueryParam("type") String type, @QueryParam("start") Long start, @QueryParam("end") Long end) Get network usage summary for the given organization and type.- Parameters:
orgUuid- org uuidtype- typestart- start dateend- end date- Returns:
- list of network performane samples for the network
-
launchCodaScan
@POST @Path("/{orgUuid}/coda/actions/launch-scan") LaunchResponse launchCodaScan(@PathParam("orgUuid") String orgUuid) Launch a CODA scan given an organization uuid. This method is only used for testing to bypass the CODA enabled flag.- Parameters:
orgUuid- org uuid- Returns:
- network scan launch
-
launchNetworkScan
@POST @Path("/{orgUuid}/nessus-scan-templates/{scanTemplateId}/actions/launch-scan") LaunchResponse launchNetworkScan(@PathParam("orgUuid") String orgUuid, @PathParam("scanTemplateId") int scanTemplateId) Launch a network scan given an organization uuid and a scan id.Will only successfully queue scan launch if that scan is not currently in progress.
- Parameters:
orgUuid- org uuidscanTemplateId- network scan id- Returns:
- network launch
-
pauseNetworkScan
@POST @Path("/{orgUuid}/nessus-scan-templates/{scanTemplateId}/actions/pause-scan") void pauseNetworkScan(@PathParam("orgUuid") String orgUuid, @PathParam("scanTemplateId") int scanTemplateId) Pause a network scan given an organization uuid and a scan id.Will only successfully pause scan if that scan is currently running.
- Parameters:
orgUuid- org uuidscanTemplateId- network scan id
-
stopNetworkScan
@POST @Path("/{orgUuid}/nessus-scan-templates/{scanTemplateId}/actions/stop-scan") void stopNetworkScan(@PathParam("orgUuid") String orgUuid, @PathParam("scanTemplateId") int scanTemplateId) Stop a network scan given an organization uuid and a scan id.Will only successfully stop scan if that scan is currently running.
- Parameters:
orgUuid- org uuidscanTemplateId- network scan id
-
resumeNetworkScan
@POST @Path("/{orgUuid}/nessus-scan-templates/{scanTemplateId}/actions/resume-scan") void resumeNetworkScan(@PathParam("orgUuid") String orgUuid, @PathParam("scanTemplateId") int scanTemplateId) Resume a network scan given an organization uuid and a scan id.Will only successfully resume scan if that scan is currently paused.
- Parameters:
orgUuid- org uuidscanTemplateId- network scan id
-
getNetworkScanTemplates
@GET @Path("/{orgUuid}/nessus-scan-templates") NetworkScanListResponse getNetworkScanTemplates(@PathParam("orgUuid") String orgUuid, @QueryParam("offset") Integer offset, @QueryParam("limit") Integer limit) Get a list of all scans for a given organization.- Parameters:
orgUuid- org uuidoffset- the offset of the first scan to retrievelimit- the limit of the number of scans to retrieve- Returns:
- list of network scans for the organization
-
getNetworkScanResultsForTemplate
@GET @Path("/{orgUuid}/nessus-scan-templates/{scanTemplateId}/nessus-scan-results") NetworkScanListResponse getNetworkScanResultsForTemplate(@PathParam("orgUuid") String orgUuid, @PathParam("scanTemplateId") int scanTemplateId, @QueryParam("offset") Integer offset, @QueryParam("limit") Integer limit) Get a list of all scans with given ID that are in a given organization.This will only return all the scans with the given ID.
- Parameters:
orgUuid- org uuidoffset- the offset of the first scan to retrievelimit- the limit of the number of scans to retrieve- Returns:
- list of launched network scans for the organization
-
getNetworkScanResult
@GET @Path("/{orgUuid}/nessus-scans-results/{scanResultUuid}") NetworkScanDetailsResponse getNetworkScanResult(@PathParam("orgUuid") String orgUuid, @PathParam("scanResultUuid") String scanResultUuid) Get the scan details for a given organization and a scan UUID.Scan uuid is different than scan id: scan uuid points to a specific scan where scan ID points to the template the scan was run from.
- Parameters:
orgUuid- org uuid- Returns:
- list of launched network scans for the organization
-
updateNetworkScanTemplate
@PUT @Path("/{orgUuid}/nessus-scan-templates/{scanTemplateId}") @Consumes("application/json") NetworkScanUpdateResponse updateNetworkScanTemplate(@PathParam("orgUuid") String orgUuid, @PathParam("scanTemplateId") int scanTemplateId, NetworkScanUpdateRequest spec) Update a scan given an organization and the scan ID.- Parameters:
orgUuid- org uuidscanTemplateId- scan template idspec- specification for updating the scan- Returns:
- details of the updated scan
-
getEdgeNetworkUsageSummary
@GET @Path("/{orgUuid}/edge-network-usage-summary") NetworkPerfSampleSerieListResponse getEdgeNetworkUsageSummary(@PathParam("orgUuid") String orgUuid, @QueryParam("type") String type, @QueryParam("start") Long start, @QueryParam("end") Long end) Gets a vCD edge gateway usage summary, summarizing the total bandwidth used for both inbound and outbound edge network traffic.If no start/end dates are provided it will default to the latest hour range. If you pass a custom time range both start and end date must be passed together
- Parameters:
orgUuid- UUID of the parent organizationtype- typestart- start dateend- end date
-
getEdgeNetworkUsageOverTime
@GET @Path("/{orgUuid}/edge-network-usage-over-time") NetworkPerfSampleSerieListResponse getEdgeNetworkUsageOverTime(@PathParam("orgUuid") String orgUuid, @QueryParam("type") String type, @QueryParam("start") Long start, @QueryParam("end") Long end) Gets usage data for a VCD edge gateway. Returns a time series showing the average inbound and outbound network thoughput in KBps.- Parameters:
orgUuid- UUID of the parent organizationtype- typestart- start dateend- end date- Returns:
- network performance samples
-
getRecoveryRunbooks
@GET @Path("/{orgUuid}/disaster-recovery-runbooks") DisasterRecoveryRunbookListResponse getRecoveryRunbooks(@PathParam("orgUuid") String orgUuid) Get the list of recovery runbooks for a given organization.- Parameters:
orgUuid- the organization UUID- Returns:
- the list of runbooks
-
createRecoveryRunbook
@POST @Path("/{orgUuid}/disaster-recovery-runbooks") @Consumes("application/json") DisasterRecoveryRunbookResponse createRecoveryRunbook(@PathParam("orgUuid") String orgUuid, DisasterRecoveryRunbookCreateRequest spec) Add a runbook to the given organizations runbooks.- Parameters:
orgUuid- the organization UUIDspec- the specification for the new recovery runbook- Returns:
- the newly craeted recovery runbook
-
updateNetworkScanOptOutPreferences
@POST @Path("/{orgUuid}/actions/update-nessus-scan-opt-out-preferences") @Consumes("application/json") NetworkScanOptOutResponse updateNetworkScanOptOutPreferences(@PathParam("orgUuid") String orgUuid, NetworkScanOptOutCreateRequest request) Update a set of ip addresses or ranges to opt out of weekly network scans for a given org. Or opt out completely of all scans.- Parameters:
request- network scan opt out details
-
getNetworkScanOptOutPreferences
@GET @Path("/{orgUuid}/nessus-scan-opt-out-preferences") NetworkScanOptOutResponse getNetworkScanOptOutPreferences(@PathParam("orgUuid") String orgUuid) Get the network scan opt out details for the given org.- Parameters:
orgUuid- org uuid
-
listProtectionSourcesForOrg
@GET @Path("/{orgUuid}/vms/{hostType: (\\*|linux|windows)}/{environment: (\\*|sql)}") @Produces("application/vnd.ilandcloud.api.v1.0+json") com.iland.cohesity.iaas.backups.common.model.ListResponse<com.iland.cohesity.iaas.backups.protectionsources.PublicProtectionSource> listProtectionSourcesForOrg(@PathParam("orgUuid") com.iland.cohesity.iaas.backups.common.model.OrgUuid orgUuid, @PathParam("hostType") String hostType, @PathParam("environment") String environment) Get the protection sources for the given org.- Specified by:
listProtectionSourcesForOrgin interfacecom.iland.cohesity.iaas.backups.protectionsources.ProtectionSourcePlatformOrgApi- Parameters:
orgUuid- org UUIDhostType- e.g. "linux" or "windows"environment- e.g. "*" or "sql"- Returns:
- a list of protection sources
-
listSqlProtectionSourcesForOrg
@GET @Path("/{orgUuid}/sql-protection-sources") @Produces("application/vnd.ilandcloud.api.v1.0+json") com.iland.cohesity.iaas.backups.common.model.ListResponse<com.iland.cohesity.iaas.backups.protectionsources.SqlProtectionSourceModel> listSqlProtectionSourcesForOrg(@PathParam("orgUuid") com.iland.cohesity.iaas.backups.common.model.OrgUuid orgUuid) Get the SQL protection sources for the given org.- Specified by:
listSqlProtectionSourcesForOrgin interfacecom.iland.cohesity.iaas.backups.protectionsources.ProtectionSourcePlatformOrgApi- Parameters:
orgUuid- org UUID- Returns:
- a list of protection sources
-
listOracleProtectionSourcesForOrg
@GET @Path("/{orgUuid}/oracle-protection-sources") @Produces("application/vnd.ilandcloud.api.v1.0+json") com.iland.cohesity.iaas.backups.common.model.ListResponse<com.iland.cohesity.iaas.backups.protectionsources.OracleProtectionSourceModel> listOracleProtectionSourcesForOrg(@PathParam("orgUuid") com.iland.cohesity.iaas.backups.common.model.OrgUuid orgUuid) Get the Oracle protection sources for the given org.- Specified by:
listOracleProtectionSourcesForOrgin interfacecom.iland.cohesity.iaas.backups.protectionsources.ProtectionSourcePlatformOrgApi- Parameters:
orgUuid- org UUID- Returns:
- a list of Oracle protection sources
-
listBackupGroups
@GET @Path("/{orgUuid}/backup-groups") BackupGroupListResponse listBackupGroups(@PathParam("orgUuid") String orgUuid, @QueryParam("includeDeleted") boolean includeDeleted, @QueryParam("includeSummaryStats") boolean includeSummaryStats, @QueryParam("includeLastRun") boolean includeLastRun, @QueryParam("includeBackupPolicy") boolean includeBackupPolicy) List the existing backup groups that are configured in a specified organization.- Parameters:
orgUuid- the UUID of the orgincludeDeleted- whether to include deleted backup groupsincludeSummaryStats- whether to include backup summary statsincludeLastRun- whether to include last run info in the responseincludeBackupPolicy- whether to include backup policy info- Returns:
BackupGroupListResponse
-
listV2BackupGroups
@GET @Path("/{orgUuid}/backup-groups-x") com.iland.cohesity.iaas.backups.common.model.ListResponse<com.iland.cohesity.iaas.backups.backupgroups.api.modelx.BackupGroupV2> listV2BackupGroups(@PathParam("orgUuid") com.iland.cohesity.iaas.backups.common.model.OrgUuid orgUuid, @QueryParam("includeDeleted") boolean includeDeleted, @QueryParam("includeSummaryStats") boolean includeSummaryStats, @QueryParam("includeLastRun") boolean includeLastRun, @QueryParam("includeBackupPolicy") boolean includeBackupPolicy, @QueryParam("includeLegacyVMware") boolean includeLegacyVMware) List the existing backup groups that are configured in a specified organization.- Specified by:
listV2BackupGroupsin interfacecom.iland.cohesity.iaas.backups.backupgroups.BackupGroupV2PlatformOrgApi- Parameters:
orgUuid- the UUID of the orgincludeDeleted- whether to include deleted backup groupsincludeSummaryStats- whether to include backup summary statsincludeLastRun- whether to include last run info in the responseincludeBackupPolicy- whether to include backup policy infoincludeLegacyVMware- weather to include legacy VMware backup groups- Returns:
list of backup groups
-
getBackupGroupSummaryStats
@GET @Path("/{orgUuid}/backup-group-summary-stats") OrgBackupSummaryStatsResponse getBackupGroupSummaryStats(@PathParam("orgUuid") String orgUuid, @BeanParam GetBackupGroupSummaryStatsFilters filters) Gets backup group summary stats for the Org.Stat time-range defaults to the past 24 hours.
- Parameters:
orgUuid- the UUID of the Orgfilters- optional filters that can be used to specify a custom timeframe.- Returns:
OrgBackupSummaryStatsResponse
-
listBackupPolicies
@GET @Path("/{orgUuid}/backup-policies") BackupPolicyListResponse listBackupPolicies(@PathParam("orgUuid") String orgUuid, @QueryParam("includeVdcScopedPolicies") boolean includeVdcScopedPolicies) List the existing backup policies that are configured in an organization.- Parameters:
orgUuid- the UUID of the organizationincludeVdcScopedPolicies- whether to include vDC scoped policies for all vDCs that are children of the org.- Returns:
BackupPolicyListResponse
-
getBackupPolicy
@GET @Path("/{orgUuid}/backup-policies/{backupPolicyUid}") BackupPolicyResponse getBackupPolicy(@PathParam("orgUuid") String orgUuid, @PathParam("backupPolicyUid") String backupPolicyUid) Get details of an individual org-scoped backup policy.- Parameters:
backupPolicyUid- the UID of the backup policyorgUuid- the UUID of the organization- Returns:
BackupPolicyResponse
-
createBackupPolicy
@POST @Path("/{orgUuid}/backup-policies") @Consumes("application/json") BackupPolicyResponse createBackupPolicy(@PathParam("orgUuid") String orgUuid, BackupPolicyUpdateRequest creationRequest) Create a new org-scoped backup policy.- Parameters:
orgUuid- the UUID of the organizationcreationRequest- the creation request body- Returns:
BackupPolicyResponse
-
updateBackupPolicy
@PUT @Path("/{orgUuid}/backup-policies/{backupPolicyUid}") @Consumes("application/json") BackupPolicyResponse updateBackupPolicy(@PathParam("orgUuid") String orgUuid, @PathParam("backupPolicyUid") String backupPolicyUid, BackupPolicyUpdateRequest updateRequest) Update a backup policy.- Parameters:
orgUuid- the UUID of the organizationbackupPolicyUid- the UID of the backup policyupdateRequest- the update request body- Returns:
BackupPolicyResponse
-
getBackupStatus
@GET @Path("/{orgUuid}/backup-status") OrgBackupStatusResponse getBackupStatus(@PathParam("orgUuid") String orgUuid) Gets the org's backup status.- Parameters:
orgUuid- the UUID of the org- Returns:
- org backup status details
-
getIntegratedBackupStatus
@GET @Path("/{orgUuid}/integrated-backup-status") OrgIntegratedBackupStatusResponse getIntegratedBackupStatus(@PathParam("orgUuid") String orgUuid) Gets the Org's integrated backup status.- Parameters:
orgUuid- the UUID of the org- Returns:
- org integrated backup status details
-
deleteBackupPolicy
@DELETE @Path("/{orgUuid}/backup-policies/{backupPolicyUid}") @Consumes("application/json") void deleteBackupPolicy(@PathParam("orgUuid") String orgUuid, @PathParam("backupPolicyUid") String backupPolicyUid) Delete a backup policy.- Parameters:
orgUuid- the UUID of the organizationbackupPolicyUid- the UID of the backup policy
-
getPerformanceCountersForVpg
@GET @Path("/performance-counters-vpg") PerformanceCounterListResponse getPerformanceCountersForVpg()Get the list of performance counters that can be used to query for VPGs usage data for this org.- Returns:
- the list of performance counters
-
getVpgPerfSamplesFor
@GET @Path("/{orgUuid}/performance/{group}::{name}::{type}") PerfSampleSerieResponse getVpgPerfSamplesFor(@PathParam("orgUuid") String orgUuid, @PathParam("group") String group, @PathParam("name") String name, @PathParam("type") String type, @QueryParam("start") Long start, @QueryParam("end") Long end) Returns aggregated samples for VPGs in an org given a performance serie and time range.The samples returned are dynamic (5 minute samples for range less than a day, hourly for range more than a day, and daily for range more than a month)
- Parameters:
orgUuid- the org unique identifier.group- performance counter group namename- performance counter nametype- performance counter typestart- start dateend- end date- Returns:
- an aggregated org level Vpg performance serie for the time range
-